nvme_identify_primary_ctrl(2)

NAME
nvme_identify_primary_ctrl - Retrieve NVMe Primary Controller identification

SYNOPSIS
int nvme_identify_primary_ctrl (int fd , __u16 cntid , struct nvme_primary_ctrl_cap *cap );

ARGUMENTS

fd  File descriptor of nvme device

cntid
    Return controllers starting at this identifier

cap User space destination buffer address to transfer the data

DESCRIPTION
See struct nvme_primary_ctrl_cap for the definition of the returned structure, cap.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.